﻿@model Server

@{
    ViewData["Title"] = "Edit";
}

<h1>Edit</h1>

<h4>Servidores</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-controller="Server" asp-action="Update" method="POST">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Id" />
            <div class="form-group">
                <label asp-for="DnsName" class="control-label"></label>
                <input asp-for="DnsName" class="form-control" />
                <span asp-validation-for="DnsName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label>Ip</label>
                <input type="text" asp-for="IpAddress" class="form-control" />
                <span asp-validation-for="IpAddress" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Descripcion" class="control-label"></label>
                <input asp-for="Descripcion" class="form-control" />
                <span asp-validation-for="Descripcion" class="text-danger"></span>
            </div>
            <div class="form-group col">
                <label>Sistema Operativo</label>
                <select name="Sistema" id="Sistema" asp-for="Sistema" class="selectpicker">
                    <option value="Windows">Windows</option>
                    <option value="AIX">AIX</option>
                    <option value="RetHat">RedHat</option>
                </select>
                <input type="hidden" asp-for="Sistema" asp-items="Sistema" class="form-control">
                <span asp-validation-for="Sistema"></span>
            </div>

            <div class="form-group">
                <input type="submit" value="Guadar" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-controller="Server" asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
